# Class CIM_WRRSchedulingElement
extends CIM_SchedulingElement

This class is a subclass of the abstract class SchedulingElement. It introduces a new property, WeightingFactor, to give some inputs a higher probability of being serviced than other inputs. It also introduces a Priority property, to serve as a tiebreaker to be used when inputs have equal weighting factors. As is the case with all subclasses of SchedulingElement, the input associated with an instance of WRRSchedulingElement is of one of two types: either a queue, or another scheduler. Because scheduling of this type is always work conserving, the inherited boolean property, WorkConserving, is restricted to TRUE in this class.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SchedulingElement
|
+--CIM_WRRSchedulingElement

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

This class is a subclass of the abstract class SchedulingElement. It introduces a new property, WeightingFactor, to give some inputs a higher probability of being serviced than other inputs. It also introduces a Priority property, to serve as a tiebreaker to be used when inputs have equal weighting factors. As is the case with all subclasses of SchedulingElement, the input associated with an instance of WRRSchedulingElement is of one of two types: either a queue, or another scheduler. Because scheduling of this type is always work conserving, the inherited boolean property, WorkConserving, is restricted to TRUE in this class.

UMLPackagePath | string | CIM::Network::QoS
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Priority | uint16 |

Description

string

A 16-bit bit unsigned integer which serves as a tiebreaker, in the event that two or more inputs have equal weights. A larger value represents a higher priority. While this condition may not occur in some implementations of a weighted round robin scheduler, many implementations require a priority to resolve an equal-weight condition. In the instances where this behavior is not necessary or is undesirable, the property may be left unspecified. If this property is specified for any of the WRRSchedulingElements associated with a PacketSchedulingService, then it MUST be specified for all WRRSchedulingElements for that PacketSchedulingService, and the property values for these WRRSchedulingElements MUST all be different.

WeightingFactor | uint32 |
Description | string | A 32-bit bit unsigned integer defining the weighting factor that offers some inputs a higher probability of being serviced than other inputs. The property's minimum value is 0, its maximum value is 100000, and its Units are thousandths.
MaxValue | sint64 | 100000
MinValue | sint64 | 0
Units | string | Thousandths
WorkConserving | boolean | true

Description

string

A boolean property indicating whether the PacketSchedulingService tied to this instance (by the ElementInSchedulingService aggregation) is treating the queue/input tied to this instance, in a work-conserving manner. The queue/input is indicated by either the QueueToSchedule or SchedulingServiceToSchedule association. Note that this property is writeable, indicating that an administrator can change the behavior of the SchedulingElement - but only for those elements that can operate in a non-work conserving mode.

Override | string | WorkConserving
Write | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_SchedulingElement

## Class Methods